> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--workflows/queries/get-pipeline-workflow-applications.md).

# getPipelineWorkflowApplications

Retrieve pipeline workflows and count how many of the specified applications each contains.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetPipelineWorkflowApplications($input: getPipelineWorkflowApplicationsInput!) {
  getPipelineWorkflowApplications(input: $input) {
    workflows {
      isDefault
      workflowName
      workflowId
      count
      enabled
    }
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "input": {
    "appIds": ["30966426"]
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetPipelineWorkflowApplications($input: getPipelineWorkflowApplicationsInput!) { getPipelineWorkflowApplications(input: $input) { workflows { isDefault workflowName workflowId count enabled } } }",
 "variables": {
    "input": {
      "appIds": ["30966426"]
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetPipelineWorkflowApplications($input: getPipelineWorkflowApplicationsInput!) { getPipelineWorkflowApplications(input: $input) { workflows { isDefault workflowName workflowId count enabled } } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      input: {
        appIds: ["30966426"]
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetPipelineWorkflowApplications($input: getPipelineWorkflowApplicationsInput!) { getPipelineWorkflowApplications(input: $input) { workflows { isDefault workflowName workflowId count enabled } } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "input": {
        "appIds": ["30966426"]
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getPipelineWorkflowApplications` query.

| Argument                                                                                                                                                                                                                | Description                      | Supported fields   |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------- | ------------------ |
| input [`getPipelineWorkflowApplicationsInput!`](/api-documentation/api-reference/api--workflows/types/inputs/get-pipeline-workflow-applications-input.md) <mark style="color:red;background-color:red;">required</mark> | List of application IDs to check | appIds `[String!]` |

### Fields

Return type: [`GetPipelineWorkflowApplicationsResponse!`](/api-documentation/api-reference/api--workflows/types/objects/get-pipeline-workflow-applications-response.md)

You can use the following field(s) to specify what information your `getPipelineWorkflowApplications` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                                        | Description                            | Supported fields                                                                                                                                                          |
| -------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| workflows [`[PipelineWorkflowApplication!]`](/api-documentation/api-reference/api--workflows/types/objects/pipeline-workflow-application.md) | List of pipeline workflow applications | <p>isDefault <code>Boolean!</code><br>workflowName <code>String!</code><br>workflowId <code>String!</code><br>count <code>Int</code><br>enabled <code>Boolean!</code></p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--workflows/queries/get-pipeline-workflow-applications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
